/*
 * $Id: Parameters_print.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Core_Glue/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace core_glue {


#undef  FUNCTION
#define FUNCTION "Core_Glue::print"
  std::string Parameters::print (uint32_t depth)
  {
    log_begin(Core_Glue,FUNCTION);

    XML xml ("core_glue");

    xml.balise_open("core_glue");
//  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
    xml.balise_close();

    log_end(Core_Glue,FUNCTION);
    
    return xml.get_body(depth);
  };

#undef  FUNCTION
#define FUNCTION "Core_Glue::operator<<"
  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::core::core_glue::Parameters & x)
  {
    log_begin(Core_Glue,FUNCTION);

    output_stream << x.print(0);
    
    log_end(Core_Glue,FUNCTION);

    return output_stream;
  };

}; // end namespace core_glue
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
